MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029881Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-06-18 23:472019-02-14 12:06
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029881: Data Exchange - PMI entities ignore length Units
DescriptionSetting "xstep.cascade.unit" to meters leads to broken presentation of pre-tessellated PMI
(which are just TopoDS_Shape, hence expected to be translated in the same way as normal geometry)
as well as presentations created by PMIVis component.
Steps To Reproducepload ALL
param xstep.cascade.unit 6
ReadStep D nist_ctc_01_asme1_ap242.stp
XShow D
vfit
XGetGDTPresentation D 0:1:4:28 s1028
vdisplay s1028
XGetGDTPresentation D 0:1:4:28 s1024
vdisplay s1024
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon cadass_pmi_tess_meters_KO.png (56,545 bytes) 2018-06-18 23:47
png file icon cadass_pmi_tess_mm_OK.png (70,077 bytes) 2018-06-18 23:47
? file icon nist_ctc_01_asme1_ap242.stp (399,118 bytes) 2018-08-09 12:53

- Relationships

-  Notes
(0078517)
kgv (developer)
2018-08-09 09:23

Sergey,

please analyze the issue after finishing current activity.
(0078534)
git (administrator)
2018-08-09 15:00

Branch CR29881 has been created by skl.

SHA-1: e617ac0638542166d2ee97214a4d11c2bc257952


Detailed log of new commits:

Author: skl
Date: Thu Aug 9 14:58:18 2018 +0300

    0029881: Data Exchange - PMI entities ignore length Units
(0078551)
git (administrator)
2018-08-10 11:32

Branch CR29881 has been updated forcibly by skl.

SHA-1: f307707d636f256c3bc53724f6141f653c1918d1
(0078602)
skl (developer)
2018-08-14 15:50

Branch CR29881 is ready to be reviewed.

Results of tests:
http://jenkins-test-12.nnov.opencascade.com/view/CR29881-master-SKL/view/COMPARE/ [^]
(0078607)
gka (developer)
2018-08-14 17:42

Please remove comments from lines 2485-2489 , 4282-4283 in the file STEPCAFControl_Reader.
Please add comments in the method GetLengthConversionFactor for case when STEP entity defined units is absent.
(0078641)
git (administrator)
2018-08-16 09:31

Branch CR29881 has been updated forcibly by skl.

SHA-1: 8984b2d4ec853dc2f73fc305213c203ae0072d79
(0078649)
git (administrator)
2018-08-16 14:04

Branch CR29881 has been updated forcibly by skl.

SHA-1: e2a7e6c27be0c282c5c2ec8d65998b79a92ea8e3
(0078707)
git (administrator)
2018-08-21 17:35

Branch CR29881_2 has been created by skl.

SHA-1: e4f96546d8616fd4fe5f19606dd4f5bc1607f5bb


Detailed log of new commits:

Author: skl
Date: Tue Aug 21 17:33:03 2018 +0300

    0029881: Data Exchange - PMI entities ignore length Units
(0078719)
git (administrator)
2018-08-22 15:45

Branch CR29881_2 has been updated forcibly by skl.

SHA-1: 177efc618ff812fecb0d7c20eb4eb5235f27a5d9
(0078720)
skl (developer)
2018-08-22 17:45

Branch CR29881_2 is ready to be reviewed.

Results of tests:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR29881_2-master-SKL/view/COMPARE/ [^]
(0078723)
gka (developer)
2018-08-22 19:17

Please remove redundant commented strings.
(0078724)
git (administrator)
2018-08-22 19:43

Branch CR29881_2 has been updated forcibly by skl.

SHA-1: 1375fe3773ee3de01c453a897ed9cbd4742b70b1
(0078728)
git (administrator)
2018-08-23 10:12

Branch CR29881_2 has been updated forcibly by skl.

SHA-1: 3927007dfd0e9ff5ebf7589b6e109a20dc5a112a
(0078730)
skl (developer)
2018-08-23 11:10

Branch CR29881_2 is ready to be reviewed.

Results of tests:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR29881_2-master-SKL/view/COMPARE/ [^]
(0078735)
git (administrator)
2018-08-23 12:14

Branch CR29881_2 has been updated forcibly by skl.

SHA-1: f05fedf1e1dbb49d79008bdcaa5126de4baf59d4
(0078737)
gka (developer)
2018-08-23 12:23

Please replace lines: 3659 - 3666, 3737 - 3744 on the method convertAngleValue
(0078742)
skl (developer)
2018-08-23 15:36

Branch CR29881_2 is ready to be reviewed.

Results of tests:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR29881_2-master-SKL/view/COMPARE/ [^]
(0078744)
gka (developer)
2018-08-23 16:35

Икфьср СК29881_2 was reviewed
(0078760)
bugmaster (administrator)
2018-08-24 15:46

Combination -
OCCT branch : CR29881_2 SHA - f05fedf1e1dbb49d79008bdcaa5126de4baf59d4
Products branch : master SHA - 1a280ad2bfcd12576de1d21af82664352f2610bb
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17493.59999999978 / 17436.49999999983 [+0.33%]
Products
Total CPU difference: 7462.040000000038 / 7459.150000000067 [+0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 17377.918596198542 / 17390.195874898516 [-0.07%]
Products
Total CPU difference: 8297.303187499996 / 8361.263597499978 [-0.76%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078774)
git (administrator)
2018-08-26 17:43

Branch CR29881_2 has been deleted by inv.

SHA-1: f05fedf1e1dbb49d79008bdcaa5126de4baf59d4
(0078778)
git (administrator)
2018-08-26 17:43

Branch CR29881 has been deleted by inv.

SHA-1: e2a7e6c27be0c282c5c2ec8d65998b79a92ea8e3

- Related Changesets
occt: master 477000eb
Timestamp: 2018-08-21 14:33:03
Author: skl
Committer: bugmaster
Details ] Diff ]
0029881: Data Exchange - PMI entities ignore length Units
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - tests/gdt/import/A1 Diff ] File ]
mod - tests/gdt/import/A3 Diff ] File ]
mod - tests/gdt/import/A4 Diff ] File ]
mod - tests/gdt/import/A5 Diff ] File ]
mod - tests/gdt/view/A3 Diff ] File ]
mod - tests/gdt/view/A4 Diff ] File ]
mod - tests/gdt/view/A5 Diff ] File ]
mod - tests/gdt/view/A6 Diff ] File ]
mod - tests/gdt/view/A7 Diff ] File ]
mod - tests/gdt/view/A8 Diff ] File ]
mod - tests/gdt/view/A9 Diff ] File ]
mod - tests/gdt/view/B1 Diff ] File ]
mod - tests/gdt/view/B2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-18 23:47 kgv New Issue
2018-06-18 23:47 kgv Assigned To => gka
2018-06-18 23:47 kgv File Added: cadass_pmi_tess_meters_KO.png
2018-06-18 23:47 kgv File Added: cadass_pmi_tess_mm_OK.png
2018-06-18 23:49 kgv Description Updated View Revisions
2018-06-18 23:49 kgv Description Updated View Revisions
2018-08-06 13:40 kgv Summary Data Exchange - PMI entities ignore => Data Exchange - PMI entities ignore length Units
2018-08-09 09:23 kgv Note Added: 0078517
2018-08-09 09:23 kgv Assigned To gka => skl
2018-08-09 09:23 kgv Status new => assigned
2018-08-09 12:53 ika File Added: nist_ctc_01_asme1_ap242.stp
2018-08-09 15:00 git Note Added: 0078534
2018-08-10 11:32 git Note Added: 0078551
2018-08-14 15:50 skl Note Added: 0078602
2018-08-14 15:51 skl Assigned To skl => gka
2018-08-14 16:18 skl Status assigned => resolved
2018-08-14 16:18 skl Steps to Reproduce Updated View Revisions
2018-08-14 17:42 gka Note Added: 0078607
2018-08-14 17:42 gka Assigned To gka => skl
2018-08-14 17:42 gka Status resolved => assigned
2018-08-15 00:10 kgv Relationship added related to 0030065
2018-08-16 09:31 git Note Added: 0078641
2018-08-16 14:04 git Note Added: 0078649
2018-08-21 17:35 git Note Added: 0078707
2018-08-22 15:45 git Note Added: 0078719
2018-08-22 17:45 skl Note Added: 0078720
2018-08-22 17:45 skl Assigned To skl => gka
2018-08-22 17:45 skl Status assigned => resolved
2018-08-22 17:45 skl Assigned To gka => skl
2018-08-22 17:46 skl Assigned To skl => gka
2018-08-22 19:17 gka Note Added: 0078723
2018-08-22 19:18 gka Assigned To gka => skl
2018-08-22 19:18 gka Status resolved => assigned
2018-08-22 19:43 git Note Added: 0078724
2018-08-23 10:12 git Note Added: 0078728
2018-08-23 11:10 skl Note Added: 0078730
2018-08-23 11:11 skl Assigned To skl => gka
2018-08-23 11:11 skl Status assigned => resolved
2018-08-23 12:14 git Note Added: 0078735
2018-08-23 12:23 gka Note Added: 0078737
2018-08-23 12:23 gka Assigned To gka => skl
2018-08-23 12:23 gka Status resolved => assigned
2018-08-23 15:36 skl Note Added: 0078742
2018-08-23 15:36 skl Assigned To skl => gka
2018-08-23 15:36 skl Status assigned => resolved
2018-08-23 16:35 gka Note Added: 0078744
2018-08-23 16:35 gka Assigned To gka => bugmaster
2018-08-23 16:35 gka Status resolved => reviewed
2018-08-24 15:46 bugmaster Note Added: 0078760
2018-08-24 15:46 bugmaster Status reviewed => tested
2018-08-24 15:51 bugmaster Test case number => Not needed
2018-08-26 17:36 bugmaster Changeset attached => occt master 477000eb
2018-08-26 17:36 bugmaster Status tested => verified
2018-08-26 17:36 bugmaster Resolution open => fixed
2018-08-26 17:43 git Note Added: 0078774
2018-08-26 17:43 git Note Added: 0078778
2018-08-31 19:28 abv Relationship added parent of 0030104
2019-02-14 12:06 bugmaster Project Internal => Open CASCADE


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker